%define product         ATReferenceBrowserWidget

%define zope_minver     2.7

%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python


Summary:        ATReferenceBrowserWidget is an add-on to Archtetypes
Name:           zope-%{product}
Version:        1.7.1
Release:        %mkrel 1
License:        GPL
Group:          System/Servers
Source:         http://plone.org/products/atreferencebrowserwidget/releases/%{version}/ATReferenceBrowserWidget-%{version}.tar.bz2
URL:            http://plone.org/products/atreferencebrowserwidget/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}
Requires:       zope-Archetypes


%description
 ATReferenceBrowserWidget is an add-on to Archtetypes. It adds a new reference
widget that allows you to search or browse the portal when creating references.
This new widget inherits from the standard reference widget so you can use all
it's properties.For now, the addable feature has not been implemented/activated
but that's not difficult. The only reason I haven't so far is that I have
my doubts for it's usefulness. But of course, I can be wrong ;-)

When you use this widget, there are two buttons presented for each widget. One
that opens a popup-window that let's you do the search/browsing and one that
let's you clear the reference or selected references (will be in effect after
the form's Save). 

The popop window basically consists of two parts. The top half is a search form
and the bottom half is the browser/search results part. Both parts can be 
turned off or on using the widget's properties.

The search part has additional configuration in the widget (see properties
below).

Properties

    The popup window can be configured using the following widget properties:

    * default_search_index: when a user searches in the popup, this index is
used by default

    * show_indexes: in the popup, when set to True, a drop-down list is shown
with the index to be used for searching. If set to False, default_search_index
will be used.

    * size: in case of single-select widget, the default is set to 30. In case
of multi-select, default is 8.

    * available_indexes: optional dictionary that lists all the indexes that 
can be used for searching. Format: {'<catalog index>':'<friendly name'>, ... } 
The friendly name is what the end-users sees to make the indexes more sensible
for him. If you do not use this property then all the indexes will be shown (I 
think nobody should allow this to happen!).

    * allow_search: shows the search section in the popup
    
    * allow_browse: shows the browse section in the popup
    
    * startup_directory: directory where the popup opens. Optional. When
omitted, the current folder is used
      
    * force_close_on_insert: closes the popup when the user choses insert. This
overrides the behavior in multiselect mode.
    * base_query: defines query terms that will apply to all searches, mainly
useful to create specific restrictions when allow_browse=0.  Can be either a
dictonary with query parameters, or the name of a method or callable available
in cotext that will return such a dictionary.
    
This add-on comes with an example content type that uses this widget. You can
enable the installation
of the type by uncommenting the appropriate line in Install.py under Extension.
See ATReferenceBrowserDemo.py.




%prep
%setup -c -q 

rm -rf `find -type d -name .svn`

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*




%changelog
* Fri Jan 19 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.7.1-1mdv2007.0
+ Revision: 110579
- 1.7.1

* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.7-1mdv2007.1
+ Revision: 99672
- 1.7

* Tue Aug 08 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4-1mdv2007.0
+ Revision: 54427
- update to 1.4
- Import zope-ATReferenceBrowserWidget

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix  rpmlint warnings


* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1-1mdk
- new release 1.1
- fix URL and source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1-0.20050514.2mdk
- fix path on x86_64

* Sat May 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1-0.20050514.1mdk
- initial package




